Arduino

Reference Language | Libraries | Comparison | Changes

MouseKeyboard

## Mouse.begin()

#### Description

Begins emulating the mouse connected to a computer. begin() must be called before controlling the computer. To end control, use Mouse.end().

#### Syntax

Mouse.begin()

#### Parameters

none

#### Returns

nothing

### Example:

void setup(){
pinMode(2, INPUT);
}
void loop(){
//initiate the Mouse library when button is pressed
if(digitalRead(2) == HIGH){
Mouse.begin();
}
}
[Get Code]

#### See also

- Mouse.click()
- Mouse.end()
- Mouse.move()
- Mouse.press()
- Mouse.release()
- Mouse.isPressed()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes